#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Params
%define		pnam	Validate
Summary:	Params::Validate - validate method/function parameters
Summary(pl.UTF-8):	Params::Validate - sprawdzanie poprawności parametrów funkcji/metody
Name:		perl-Params-Validate
Version:	1.08
Release:	2
License:	Artistic v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Params/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5edfb0ffd92cbb0e2646ddf23d4516e9
URL:		http://search.cpan.org/dist/Params-Validate/
BuildRequires:	perl(Pod::Man) >= 1.14
BuildRequires:	perl-ExtUtils-CBuilder
BuildRequires:	perl-Module-Build >= 0.3601
%if %{with tests}
BuildRequires:	perl-Attribute-Handlers >= 0.79
BuildRequires:	perl-Module-Implementation >= 0.04
BuildRequires:	perl-Scalar-List-Utils >= 1.10
BuildRequires:	perl-Test-Simple >= 0.88
BuildRequires:	perl-Test-Taint
%endif
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Params::Validate module allows you to validate method or function
call parameters to an arbitrary level of specificity.  At the simplest
level, it is capable of validating the required parameters were given
and that no unspecified additional parameters were passed in.

It is also capable of determining that a parameter is of a specific
type, that it is an object of a certain class hierarchy, that it
possesses certain methods, or applying validation callbacks to
arguments.

%description -l pl.UTF-8
Moduł Params::Validate pozwala na sprawdzanie poprawności parametrów,
z jakimi wywołana została funkcja lub metoda, na dowolnym poziomie
szczegółowości.  W najprostszym przypadku możliwe jest sprawdzenie,
czy podane zostały parametry wymagane i czy nie podano dodatkowych,
nie rozpoznawanych.

Potrafi także określić czy parametr jest konkretnego typu, czy jest
obiektem danej hierarchii, czy posiada zadane metody, lub przypisać
argumentom callbacki (a, i tak wszyscy wiedzą, o co chodzi... ;-> )
sprawdzające.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Build.PL \
	installdirs=vendor \
	--config cc="%{__cc}" \
	--config ld="%{__cc}" \
	--config optimize="%{rpmcflags}"

%{__perl} ./Build

%{?with_tests:%{__perl} ./Build test}

%install
rm -rf $RPM_BUILD_ROOT

%{__perl} ./Build install \
	destdir=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%dir %{perl_vendorarch}/Attribute
%dir %{perl_vendorarch}/Attribute/Params
%{perl_vendorarch}/Attribute/Params/Validate.pm
%dir %{perl_vendorarch}/Params
%{perl_vendorarch}/Params/Validate.pm
%{perl_vendorarch}/Params/ValidatePP.pm
%{perl_vendorarch}/Params/ValidateXS.pm
%{perl_vendorarch}/Params/Validate
%dir %{perl_vendorarch}/auto/Params
%dir %{perl_vendorarch}/auto/Params/Validate
%dir %{perl_vendorarch}/auto/Params/Validate/XS
%{perl_vendorarch}/auto/Params/Validate/XS/XS.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Params/Validate/XS/XS.so
%{_mandir}/man3/Attribute::Params::Validate.3pm*
%{_mandir}/man3/Params::Validate*.3pm*
%changelog
* Fri Sep 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Params-Validate.git;a=log;h=master

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2ca46c4
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 8d72605
- updated to 1.08

* Sun Jun 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 96e5b62
- drop perl-Scalar-List-Utils BR; provided by perl-moduels now

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 4c11c3f
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue May 29 2012 Jakub Bogusz <qboosh@pld-linux.org> 5c983ee
- updated to 1.06

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 4ba5c69
- up to 1.01

* Mon Dec 05 2011 Jakub Bogusz <qboosh@pld-linux.org> eba5aef
- updated BRs

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f1cbd7
- up to 1.00

* Fri Mar 04 2011 Jakub Bogusz <qboosh@pld-linux.org> 423eb6b
- updated to 0.95; uses Module::Build now

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 8ebed6b
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 923e885
- release 2

* Thu Oct 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f297cf
- up to 0.92

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 5edc000
- release 2

* Sun May 11 2008 hawk <hawk@pld-linux.org> cd09e2e
- updated to 0.91

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d065320
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> bf730ee
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 9ef563d
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 08d6ea2
- up to 0.89

* Tue Sep 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d1e89a8
- up to 0.88

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 803f6e9
- tabs in preamble

